> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 계정 목록 조회

> 공개 API 주체에게 표시되는 고객 계정을 나열합니다.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ko.json GET /v1/public/accounts
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts:
    get:
      tags:
        - public-accounts
      summary: 계정 목록 조회
      description: 공개 API 주체에게 표시되는 고객 계정을 나열합니다.
      operationId: list_public_accounts_v1_public_accounts_get
      parameters:
        - in: query
          name: client_id
          required: false
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Client Id
        - in: query
          name: status
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - PublicBearerAuth: []
components:
  schemas:
    AccountListResponse:
      properties:
        items:
          description: 이 페이지의 계정
          items:
            $ref: '#/components/schemas/AccountResponse'
          title: 항목
          type: array
        page:
          description: 현재 1기반 페이지 번호
          title: 페이지
          type: integer
        page_size:
          description: 페이지당 최대 항목
          title: 페이지 크기
          type: integer
        total:
          description: 총 일치 계정
          title: 합계
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: AccountListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 세부 정보
          type: array
      title: HTTP검증 오류
      type: object
    AccountResponse:
      properties:
        client:
          $ref: '#/components/schemas/AccountClientSummary'
          description: 계정을 소유한 고객
        created_at:
          description: 계정 생성 타임스탬프
          format: date-time
          title: 생성일
          type: string
        id:
          description: 계정 UUID
          format: uuid
          title: ID
          type: string
        name:
          description: 계정 표시 이름
          title: 이름
          type: string
        status:
          description: 계정 수명주기 상태
          title: 상태
          type: string
        updated_at:
          description: 계정 마지막 업데이트 타임스탬프
          format: date-time
          title: 업데이트일
          type: string
      required:
        - id
        - name
        - client
        - status
        - created_at
        - updated_at
      title: AccountResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 위치
          type: array
        msg:
          title: 메시지
          type: string
        type:
          title: 오류 유형
          type: string
      required:
        - loc
        - msg
        - type
      title: 검증 오류
      type: object
    AccountClientSummary:
      description: 계정 응답에 포함되는 구조적 클라이언트 요약.
      properties:
        id:
          description: 클라이언트 UUID
          format: uuid
          title: ID
          type: string
        name:
          description: 클라이언트 표시 이름
          title: 이름
          type: string
      required:
        - id
        - name
      title: AccountClientSummary
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````